Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.management.runtime
Interface ArchiverRuntimeMBean

All Superinterfaces:
  javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, weblogic.management.runtime.RuntimeMBean, weblogic.management.WebLogicMBean

    public interface ArchiverRuntimeMBean

extends weblogic.management.runtime.RuntimeMBean

Field Summary
`static long` | `CACHING_STUB_SVUID` The magic number that is used to generate the serialVersionUID of the generated MBean Stub (xxxMBean_Stub).

Method Summary
`String[]` | `getDataSouceJNDINames()` Returns a list of JNDI names for DataSources that can be used for archiving.
`long` | `getEventRowCount()` Returns the number of events in the process tracking table.
`long` | `getLastProcessEndTime()` Returns a time (in milllis) that indicates the last time this process finshed.
`long` | `getLastProcessStartTime()` Returns a time (in milllis) that indicates the last time this process was started.
`void` | `runWLIArchiver()` Force the archiver process to run ASAP, instead of waiting for next scheduled time.
`void` | `setLastProcessEndTime(long time)` internal
`void` | `setLastProcessStartTime(long time)` internal
`void` | `stopCurrentRun()` Gracefully interrupts the current archiver run.

Methods inherited from interface weblogic.management.runtime.RuntimeMBean
`addPropertyChangeListener, preDeregister, removePropertyChangeListener`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### CACHING_STUB_SVUID

    static final long CACHING_STUB_SVUID

  The magic number that is used to generate the serialVersionUID of the generated MBean Stub (xxxMBean_Stub). You must change this value whenever you make one of the changes to this interface:

  - remove an existing method.
  - change the signature of an existing "getter" or "setter" method.
  - change the signature of an existing "boolean getter", i.e, "boolean isEnabled()"

  Otherwise you don't need to change this value. For instance you can add new methods, or you can change the signature of methods that don't start with "get", "set" or "is". If you are in doubt then change the SVUID. It is a good idea to increment this value when changing.

  See Also:
    Constant Field Values

Method Detail

### runWLIArchiver

    void runWLIArchiver()
                        throws WLIArchiverException

  Force the archiver process to run ASAP, instead of waiting for next scheduled time.

  Throws:
    `WLIArchiverException`

### stopCurrentRun

    void stopCurrentRun()
                        throws WLIArchiverException

  Gracefully interrupts the current archiver run. If the process is not running, this command is ignored.

  Throws:
    `WLIArchiverException`

### getEventRowCount

    long getEventRowCount()
                          throws WLIArchiverException

  Returns the number of events in the process tracking table.

  Throws:
    `WLIArchiverException`

### getDataSouceJNDINames

    String[] getDataSouceJNDINames()
                                   throws WLIArchiverException

  Returns a list of JNDI names for DataSources that can be used for archiving.

  Throws:
    `WLIArchiverException`

### getLastProcessStartTime

    long getLastProcessStartTime()
                                 throws WLIArchiverException

  Returns a time (in milllis) that indicates the last time this process was started.

  Throws:
    `WLIArchiverException`

### getLastProcessEndTime

    long getLastProcessEndTime()
                               throws WLIArchiverException

  Returns a time (in milllis) that indicates the last time this process finshed.

  Throws:
    `WLIArchiverException`

### setLastProcessStartTime

    void setLastProcessStartTime(long time)

  internal

### setLastProcessEndTime

    void setLastProcessEndTime(long time)

  internal

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD